## gnome-shell-extension-vertical-overview 8

=== Makefile ===
build: clean
	glib-compile-schemas ./schemas
	zip -r vertical-overview@RensAlthuis.github.com * -x Makefile
	mkdir _build
	mv vertical-overview@RensAlthuis.github.com _build/

clean:
	if test  -d _build; then rm -r _build; fi

install:
	gnome-extensions install -f ./_build/vertical-overview@RensAlthuis.github.com

install-dev:
	rm -rf ${HOME}/.local/share/gnome-shell/extensions/vertical-overview@RensAlthuis.github.com
	ln -s $(shell pwd) ${HOME}/.local/share/gnome-shell/extensions/vertical-overview@RensAlthuis.github.com

=== debian/changelog ===
gnome-shell-extension-vertical-overview (8-1) unstable; urgency=medium

  * Initial release (Closes: #996556)

 -- Tobias Frost <tobi@debian.org>  Sun, 05 Dec 2021 09:16:14 +0100

=== debian/control ===
Source: gnome-shell-extension-vertical-overview
Section: gnome
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: debhelper-compat (= 13), libglib2.0-bin, zip
Standards-Version: 4.6.0
Homepage: https://github.com/RensAlthuis/vertical-overview
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-vertical-overview
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-vertical-overview.git

Package: gnome-shell-extension-vertical-overview
Architecture: all
Depends: gnome-shell (>= 40), ${misc:Depends}
Recommends: gnome-shell-extension-prefs
Description: GNOME shell extension for vertical stacked workspaces
 GNOME has had vertically stacked workspaces for a long time. The GNOME 40
 update made the switch to a horizontal layout.
 .
 This extension aims to replace the new GNOME overview with something that
 resembles the old style.
 .
 Please note that you have to manually enable the extension, for example using
 gnome-extensions-app, which is part of the gnome-shell-extension-prefs
 package.

## gnome-shell-extension-vertical-overview 9

=== debian/changelog ===
gnome-shell-extension-vertical-overview (9-3) unstable; urgency=medium

  * Really declare support with Gnome 43. (Closes: #1018283)
  * Bump S-V to 4.6.1, no changes.

 -- Tobias Frost <tobi@debian.org>  Mon, 26 Sep 2022 14:30:52 +0200

gnome-shell-extension-vertical-overview (9-2) unstable; urgency=medium

  * Declare support with Gnome 43. (Closes: #1018283)

 -- Tobias Frost <tobi@debian.org>  Sun, 28 Aug 2022 12:53:33 +0200

gnome-shell-extension-vertical-overview (9-1) unstable; urgency=medium

  * New upstream release.
  * dropping cherry-picked patch from 8-3.
  * Tighten dependency on gnome-shell according to what upstream declares
    compatilbity with.
  * Update copyright year for packaging.
  * Drop d/clean, upstream makefile take care about it.

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Jun 2022 14:56:35 +0200

gnome-shell-extension-vertical-overview (8-3) unstable; urgency=medium

  * Cherry-pick a PR from upstream, in the hope for fix it for Gnome 42.
    (Closes: #1008560), amended with updated metadata.json.
  * Update d/control for tighter Depends on gnome-shell.

 -- Tobias Frost <tobi@debian.org>  Tue, 29 Mar 2022 17:46:19 +0200

gnome-shell-extension-vertical-overview (8-2) unstable; urgency=medium

  * No change source-only upload.

 -- Tobias Frost <tobi@debian.org>  Mon, 27 Dec 2021 20:43:35 +0100

## gnome-shell-extension-vertical-overview 10

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 clean:
 	if test  -d _build; then rm -r _build; fi
+	-rm schemas/gschemas.compiled
 
 install:
 	gnome-extensions install -f ./_build/vertical-overview@RensAlthuis.github.com

=== debian/changelog ===
gnome-shell-extension-vertical-overview (10-1) unstable; urgency=medium

  * New upstream version 10
  * Drop patch 0001-Declare-support-with-GNOME-43.patch -- applied upstream.

 -- Tobias Frost <tobi@debian.org>  Wed, 30 Nov 2022 18:46:22 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: debhelper-compat (= 13), libglib2.0-bin, zip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/RensAlthuis/vertical-overview
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-vertical-overview
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-vertical-overview
 Architecture: all
-Depends: gnome-shell (>= 40), ${misc:Depends}
+Depends: gnome-shell (>= 42), gnome-shell (<< 44~), ${misc:Depends}
 Recommends: gnome-shell-extension-prefs
 Description: GNOME shell extension for vertical stacked workspaces
  GNOME has had vertically stacked workspaces for a long time. The GNOME 40

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_install:
	# upstream Makefile install target is unsuitable, it would install the
	# extension into the desktop.

override_dh_installdocs:
	dh_installdocs -X README.md

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/RensAlthuis/vertical-overview/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
